%define upstream_name    AnyEvent-HTTP
%define upstream_version 2.25
%global __requires_exclude perl\\(Exporter::\\)
%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Simple but non-blocking HTTP/HTTPS client
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/AnyEvent/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AnyEvent) >= 5.330.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(common::sense) >= 3.300.0
BuildArch:  noarch

%description
This module is an AnyEvent user, you need to make sure that you
use and run a supported event loop.

This module implements a simple, stateless and non-blocking HTTP client. It
supports GET, POST and other request methods, cookies and more, all on a
very low level. It can follow redirects, supports proxies and automatically
limits the number of connections to the values specified in the RFC.

It should generally be a "good client" that is enough for most HTTP tasks.
Simple tasks should be simple, but complex tasks should still be possible
as the user retains control over request and response headers.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc COPYING Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Tue Apr 28 2020 tv <tv> 2.250.0-1.mga8
+ Revision: 1572653
- update to 2.25

* Wed Feb 12 2020 umeabot <umeabot> 2.240.0-3.mga8
+ Revision: 1503439
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.240.0-2.mga7
+ Revision: 1281585
- Mageia 7 Mass Rebuild

* Wed Sep 12 2018 shlomif <shlomif> 2.240.0-1.mga7
+ Revision: 1258689
- update to 2.24

* Mon Oct 02 2017 tv <tv> 2.230.0-2.mga7
+ Revision: 1162875
- rebuild with fixed rpm for missing autodeps

* Sat Jul 22 2017 shlomif <shlomif> 2.230.0-1.mga7
+ Revision: 1128425
- update to 2.23

* Sat Jun 18 2016 pterjan <pterjan> 2.220.0-4.mga6
+ Revision: 1022505
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 2.220.0-3.mga6
+ Revision: 971851
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 tv <tv> 2.220.0-2.mga6
+ Revision: 893422
- rebuild with fixed deps

* Sat Jul 04 2015 sander85 <sander85> 2.220.0-1.mga6
+ Revision: 850342
- update to 2.22

* Wed Oct 15 2014 umeabot <umeabot> 2.210.0-4.mga5
+ Revision: 743350
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 2.210.0-3.mga5
+ Revision: 731819
- use %%perl_default_filter

* Tue Sep 16 2014 umeabot <umeabot> 2.210.0-2.mga5
+ Revision: 683478
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Tue Jun 10 2014 sander85 <sander85> 2.210.0-1.mga5
+ Revision: 635463
- update to 2.21

* Fri Oct 18 2013 umeabot <umeabot> 2.150.0-3.mga4
+ Revision: 509144
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.150.0-2.mga3
+ Revision: 362932
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 2.150.0-1.mga3
+ Revision: 341906
- update to 2.15

* Tue Jun 05 2012 jquelin <jquelin> 2.140.0-1.mga3
+ Revision: 254565
- update to 2.14
+ kharec <kharec>
- update to 2.13

* Wed Jun 15 2011 jquelin <jquelin> 2.120.0-1.mga2
+ Revision: 107782
- update to 2.12

* Fri Feb 25 2011 jquelin <jquelin> 2.100.0-1.mga2
+ Revision: 59597
- update to 2.1

* Tue Feb 22 2011 jquelin <jquelin> 2.40.0-1.mga1
+ Revision: 56500
- update to 2.04

* Fri Feb 18 2011 jquelin <jquelin> 2.30.0-1.mga1
+ Revision: 53708
- update to 2.03

* Sun Jan 23 2011 jquelin <jquelin> 2.0.0-1.mga1
+ Revision: 33575
- mageia rebuild
- imported package perl-AnyEvent-HTTP

